/usr/hla/hlalibsrc/trunk/memory_safe.a: \
	mem_alloc_safe.o \
	mem_allocBlockInHeap_safe.o \
	mem_blockinheap_safe.o \
	mem_free_safe.o \
	mem_freeblockinheap_safe.o \
	mem_getRef_safe.o \
	mem_isinheap_safe.o \
	mem_newRef_safe.o \
	mem_realloc_safe.o \
	mem_realloc2_safe.o \
	mem_size_safe.o \
	mem_stat_safe.o \
	mem_stralloc_safe.o \
	mem_strfree_safe.o \
	mem_strgetref_safe.o \
	mem_strisinheap_safe.o \
	mem_strnewref_safe.o \
	mem_strrealloc_safe.o \
	mem_zalloc_safe.o \

	ar rc /usr/hla/hlalibsrc/trunk/hlalib_safe.a \
		mem_alloc_safe.o \
		mem_allocBlockInHeap_safe.o \
		mem_blockinheap_safe.o \
		mem_free_safe.o \
		mem_freeblockinheap_safe.o \
		mem_getRef_safe.o \
		mem_isinheap_safe.o \
		mem_newRef_safe.o \
		mem_realloc_safe.o \
		mem_realloc2_safe.o \
		mem_size_safe.o \
		mem_stat_safe.o \
		mem_stralloc_safe.o \
		mem_strfree_safe.o \
		mem_strgetref_safe.o \
		mem_strisinheap_safe.o \
		mem_strnewref_safe.o \
		mem_strrealloc_safe.o \
		mem_zalloc_safe.o \

	ar s /usr/hla/hlalibsrc/trunk/hlalib_safe.a

mem_alloc_safe.o: mem_alloc.hla \

	cp mem_alloc.hla mem_alloc_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  mem_alloc_safe
	rm mem_alloc_safe.hla

mem_allocBlockInHeap_safe.o: mem_allocBlockInHeap.hla \

	cp mem_allocBlockInHeap.hla mem_allocBlockInHeap_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  mem_allocBlockInHeap_safe
	rm mem_allocBlockInHeap_safe.hla

mem_blockinheap_safe.o: mem_blockinheap.hla \

	cp mem_blockinheap.hla mem_blockinheap_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  mem_blockinheap_safe
	rm mem_blockinheap_safe.hla

mem_free_safe.o: mem_free.hla \

	cp mem_free.hla mem_free_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  mem_free_safe
	rm mem_free_safe.hla

mem_freeblockinheap_safe.o: mem_freeblockinheap.hla \

	cp mem_freeblockinheap.hla mem_freeblockinheap_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  mem_freeblockinheap_safe
	rm mem_freeblockinheap_safe.hla

mem_getRef_safe.o: mem_getRef.hla \

	cp mem_getRef.hla mem_getRef_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  mem_getRef_safe
	rm mem_getRef_safe.hla

mem_isinheap_safe.o: mem_isinheap.hla \

	cp mem_isinheap.hla mem_isinheap_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  mem_isinheap_safe
	rm mem_isinheap_safe.hla

mem_newRef_safe.o: mem_newRef.hla \

	cp mem_newRef.hla mem_newRef_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  mem_newRef_safe
	rm mem_newRef_safe.hla

mem_realloc_safe.o: mem_realloc.hla \

	cp mem_realloc.hla mem_realloc_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  mem_realloc_safe
	rm mem_realloc_safe.hla

mem_realloc2_safe.o: mem_realloc2.hla \

	cp mem_realloc2.hla mem_realloc2_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  mem_realloc2_safe
	rm mem_realloc2_safe.hla

mem_size_safe.o: mem_size.hla \

	cp mem_size.hla mem_size_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  mem_size_safe
	rm mem_size_safe.hla

mem_stat_safe.o: mem_stat.hla \

	cp mem_stat.hla mem_stat_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  mem_stat_safe
	rm mem_stat_safe.hla

mem_stralloc_safe.o: mem_stralloc.hla \

	cp mem_stralloc.hla mem_stralloc_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  mem_stralloc_safe
	rm mem_stralloc_safe.hla

mem_strfree_safe.o: mem_strfree.hla \

	cp mem_strfree.hla mem_strfree_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  mem_strfree_safe
	rm mem_strfree_safe.hla

mem_strgetref_safe.o: mem_strgetref.hla \

	cp mem_strgetref.hla mem_strgetref_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  mem_strgetref_safe
	rm mem_strgetref_safe.hla

mem_strisinheap_safe.o: mem_strisinheap.hla \

	cp mem_strisinheap.hla mem_strisinheap_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  mem_strisinheap_safe
	rm mem_strisinheap_safe.hla

mem_strnewref_safe.o: mem_strnewref.hla \

	cp mem_strnewref.hla mem_strnewref_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  mem_strnewref_safe
	rm mem_strnewref_safe.hla

mem_strrealloc_safe.o: mem_strrealloc.hla \

	cp mem_strrealloc.hla mem_strrealloc_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  mem_strrealloc_safe
	rm mem_strrealloc_safe.hla

mem_zalloc_safe.o: mem_zalloc.hla \

	cp mem_zalloc.hla mem_zalloc_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  mem_zalloc_safe
	rm mem_zalloc_safe.hla



clean:
	delete temp
	delete .inc
	delete .o
	delete .obj
	delete .link
	delete .exe
	delete .asm
	delete .pdb
	delete .ilk
	delete .a
	delete .lib

