/usr/hla/hlalibsrc/trunk/os_coroutines_safe.a: \
	cor_call_safe.o \
	cor_create_safe.o \
	cor_free_safe.o \
	cor_ret_safe.o \

	ar rc /usr/hla/hlalibsrc/trunk/hlalib_safe.a \
		cor_call_safe.o \
		cor_create_safe.o \
		cor_free_safe.o \
		cor_ret_safe.o \

	ar s /usr/hla/hlalibsrc/trunk/hlalib_safe.a

cor_call_safe.o: cor_call.hla \

	cp cor_call.hla cor_call_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  cor_call_safe
	rm cor_call_safe.hla

cor_create_safe.o: cor_create.hla \

	cp cor_create.hla cor_create_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  cor_create_safe
	rm cor_create_safe.hla

cor_free_safe.o: cor_free.hla \

	cp cor_free.hla cor_free_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  cor_free_safe
	rm cor_free_safe.hla

cor_ret_safe.o: cor_ret.hla \

	cp cor_ret.hla cor_ret_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  cor_ret_safe
	rm cor_ret_safe.hla



clean:
	delete temp
	delete .inc
	delete .o
	delete .obj
	delete .link
	delete .exe
	delete .asm
	delete .pdb
	delete .ilk
	delete .a
	delete .lib

