/usr/hla/hlalibsrc/trunk/os_filesys.a: \
	filesys_a_getFullPathname.o \
	filesys_cd.o \
	filesys_delete.o \
	filesys_dirIn.o \
	filesys_dirInCwd.o \
	filesys_exists.o \
	filesys_fileIn.o \
	filesys_fileInCwd.o \
	filesys_fileWithSuffix.o \
	filesys_getFullPathname.o \
	filesys_gwd.o \
	filesys_isDir.o \
	filesys_isFile.o \
	filesys_itemInCwd.o \
	filesys_itemWithSuffix.o \
	filesys_mkdir.o \
	filesys_rename.o \
	filesys_rmdir.o \
	filesys_size.o \

	ar rc /usr/hla/hlalibsrc/trunk/hlalib.a \
		filesys_a_getFullPathname.o \
		filesys_cd.o \
		filesys_delete.o \
		filesys_dirIn.o \
		filesys_dirInCwd.o \
		filesys_exists.o \
		filesys_fileIn.o \
		filesys_fileInCwd.o \
		filesys_fileWithSuffix.o \
		filesys_getFullPathname.o \
		filesys_gwd.o \
		filesys_isDir.o \
		filesys_isFile.o \
		filesys_itemInCwd.o \
		filesys_itemWithSuffix.o \
		filesys_mkdir.o \
		filesys_rename.o \
		filesys_rmdir.o \
		filesys_size.o \

	ar s /usr/hla/hlalibsrc/trunk/hlalib.a

filesys_a_getFullPathname.o: filesys_a_getFullPathname.hla \

	hla -sourcemode -ag -AL -cx -p:temp  filesys_a_getFullPathname

filesys_cd.o: filesys_cd.hla \

	hla -sourcemode -ag -AL -cx -p:temp  filesys_cd

filesys_delete.o: filesys_delete.hla \

	hla -sourcemode -ag -AL -cx -p:temp  filesys_delete

filesys_dirIn.o: filesys_dirIn.hla \

	hla -sourcemode -ag -AL -cx -p:temp  filesys_dirIn

filesys_dirInCwd.o: filesys_dirInCwd.hla \

	hla -sourcemode -ag -AL -cx -p:temp  filesys_dirInCwd

filesys_exists.o: filesys_exists.hla \

	hla -sourcemode -ag -AL -cx -p:temp  filesys_exists

filesys_fileIn.o: filesys_fileIn.hla \

	hla -sourcemode -ag -AL -cx -p:temp  filesys_fileIn

filesys_fileInCwd.o: filesys_fileInCwd.hla \

	hla -sourcemode -ag -AL -cx -p:temp  filesys_fileInCwd

filesys_fileWithSuffix.o: filesys_fileWithSuffix.hla \

	hla -sourcemode -ag -AL -cx -p:temp  filesys_fileWithSuffix

filesys_getFullPathname.o: filesys_getFullPathname.hla \

	hla -sourcemode -ag -AL -cx -p:temp  filesys_getFullPathname

filesys_gwd.o: filesys_gwd.hla \

	hla -sourcemode -ag -AL -cx -p:temp  filesys_gwd

filesys_isDir.o: filesys_isDir.hla \

	hla -sourcemode -ag -AL -cx -p:temp  filesys_isDir

filesys_isFile.o: filesys_isFile.hla \

	hla -sourcemode -ag -AL -cx -p:temp  filesys_isFile

filesys_itemInCwd.o: filesys_itemInCwd.hla \

	hla -sourcemode -ag -AL -cx -p:temp  filesys_itemInCwd

filesys_itemWithSuffix.o: filesys_itemWithSuffix.hla \

	hla -sourcemode -ag -AL -cx -p:temp  filesys_itemWithSuffix

filesys_mkdir.o: filesys_mkdir.hla \

	hla -sourcemode -ag -AL -cx -p:temp  filesys_mkdir

filesys_rename.o: filesys_rename.hla \

	hla -sourcemode -ag -AL -cx -p:temp  filesys_rename

filesys_rmdir.o: filesys_rmdir.hla \

	hla -sourcemode -ag -AL -cx -p:temp  filesys_rmdir

filesys_size.o: filesys_size.hla \

	hla -sourcemode -ag -AL -cx -p:temp  filesys_size



clean:
	delete temp
	delete .inc
	delete .o
	delete .obj
	delete .link
	delete .exe
	delete .asm
	delete .pdb
	delete .ilk
	delete .a
	delete .lib

