/usr/hla/hlalibsrc/trunk/os_dependent_safe.a: \
	arg_BuildArgv_safe.o \
	arg_cmdln_safe.o \
	date_today_safe.o \
	date_utcDate_safe.o \
	mem_blkAlloc_safe.o \
	os_bkgnd_safe.o \
	os_sleep_safe.o \
	os_system_safe.o \
	rand_randomize_safe.o \
	se_gethandle_safe.o \
	si_gethandle_safe.o \
	si_read_safe.o \
	so_gethandle_safe.o \
	time_curtime_safe.o \

	ar rc /usr/hla/hlalibsrc/trunk/hlalib_safe.a \
		arg_BuildArgv_safe.o \
		arg_cmdln_safe.o \
		date_today_safe.o \
		date_utcDate_safe.o \
		mem_blkAlloc_safe.o \
		os_bkgnd_safe.o \
		os_sleep_safe.o \
		os_system_safe.o \
		rand_randomize_safe.o \
		se_gethandle_safe.o \
		si_gethandle_safe.o \
		si_read_safe.o \
		so_gethandle_safe.o \
		time_curtime_safe.o \

	ar s /usr/hla/hlalibsrc/trunk/hlalib_safe.a

arg_BuildArgv_safe.o: arg_BuildArgv.hla \

	cp arg_BuildArgv.hla arg_BuildArgv_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  arg_BuildArgv_safe
	rm arg_BuildArgv_safe.hla

arg_cmdln_safe.o: arg_cmdln.hla \

	cp arg_cmdln.hla arg_cmdln_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  arg_cmdln_safe
	rm arg_cmdln_safe.hla

date_today_safe.o: date_today.hla \

	cp date_today.hla date_today_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  date_today_safe
	rm date_today_safe.hla

date_utcDate_safe.o: date_utcDate.hla \

	cp date_utcDate.hla date_utcDate_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  date_utcDate_safe
	rm date_utcDate_safe.hla

mem_blkAlloc_safe.o: mem_blkAlloc.hla \

	cp mem_blkAlloc.hla mem_blkAlloc_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  mem_blkAlloc_safe
	rm mem_blkAlloc_safe.hla

os_bkgnd_safe.o: os_bkgnd.hla \

	cp os_bkgnd.hla os_bkgnd_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  os_bkgnd_safe
	rm os_bkgnd_safe.hla

os_sleep_safe.o: os_sleep.hla \

	cp os_sleep.hla os_sleep_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  os_sleep_safe
	rm os_sleep_safe.hla

os_system_safe.o: os_system.hla \

	cp os_system.hla os_system_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  os_system_safe
	rm os_system_safe.hla

rand_randomize_safe.o: rand_randomize.hla \

	cp rand_randomize.hla rand_randomize_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  rand_randomize_safe
	rm rand_randomize_safe.hla

se_gethandle_safe.o: se_gethandle.hla \

	cp se_gethandle.hla se_gethandle_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  se_gethandle_safe
	rm se_gethandle_safe.hla

si_gethandle_safe.o: si_gethandle.hla \

	cp si_gethandle.hla si_gethandle_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  si_gethandle_safe
	rm si_gethandle_safe.hla

si_read_safe.o: si_read.hla \

	cp si_read.hla si_read_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  si_read_safe
	rm si_read_safe.hla

so_gethandle_safe.o: so_gethandle.hla \

	cp so_gethandle.hla so_gethandle_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  so_gethandle_safe
	rm so_gethandle_safe.hla

time_curtime_safe.o: time_curtime.hla \

	cp time_curtime.hla time_curtime_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  time_curtime_safe
	rm time_curtime_safe.hla



clean:
	delete temp
	delete .inc
	delete .o
	delete .obj
	delete .link
	delete .exe
	delete .asm
	delete .pdb
	delete .ilk
	delete .a
	delete .lib

