/usr/hla/hlalibsrc/trunk/os_excepts_safe.a: \
	ex_abstract_safe.o \
	ex_buildexcepts_safe.o \
	ex_dfltexcept_safe.o \
	ex_excepts_safe.o \
	ex_hwExcept_safe.o \
	ex_InstallSignals_safe.o \
	ex_Raise_safe.o \
	ex_shorthwExcept_safe.o \

	ar rc /usr/hla/hlalibsrc/trunk/hlalib_safe.a \
		ex_abstract_safe.o \
		ex_buildexcepts_safe.o \
		ex_dfltexcept_safe.o \
		ex_excepts_safe.o \
		ex_hwExcept_safe.o \
		ex_InstallSignals_safe.o \
		ex_Raise_safe.o \
		ex_shorthwExcept_safe.o \

	ar s /usr/hla/hlalibsrc/trunk/hlalib_safe.a

ex_abstract_safe.o: ex_abstract.hla \

	cp ex_abstract.hla ex_abstract_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  ex_abstract_safe
	rm ex_abstract_safe.hla

ex_buildexcepts_safe.o: ex_buildexcepts.hla \

	cp ex_buildexcepts.hla ex_buildexcepts_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  ex_buildexcepts_safe
	rm ex_buildexcepts_safe.hla

ex_dfltexcept_safe.o: ex_dfltexcept.hla \

	cp ex_dfltexcept.hla ex_dfltexcept_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  ex_dfltexcept_safe
	rm ex_dfltexcept_safe.hla

ex_excepts_safe.o: ex_excepts.hla \

	cp ex_excepts.hla ex_excepts_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  ex_excepts_safe
	rm ex_excepts_safe.hla

ex_hwExcept_safe.o: ex_hwExcept.hla \

	cp ex_hwExcept.hla ex_hwExcept_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  ex_hwExcept_safe
	rm ex_hwExcept_safe.hla

ex_InstallSignals_safe.o: ex_InstallSignals.hla \

	cp ex_InstallSignals.hla ex_InstallSignals_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  ex_InstallSignals_safe
	rm ex_InstallSignals_safe.hla

ex_Raise_safe.o: ex_Raise.hla \

	cp ex_Raise.hla ex_Raise_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  ex_Raise_safe
	rm ex_Raise_safe.hla

ex_shorthwExcept_safe.o: ex_shorthwExcept.hla \

	cp ex_shorthwExcept.hla ex_shorthwExcept_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  ex_shorthwExcept_safe
	rm ex_shorthwExcept_safe.hla



clean:
	delete temp
	delete .inc
	delete .o
	delete .obj
	delete .link
	delete .exe
	delete .asm
	delete .pdb
	delete .ilk
	delete .a
	delete .lib

