/usr/hla/hlalibsrc/trunk/os_fileio_safe.a: \
	fileio_close_safe.o \
	fileio_eof_safe.o \
	fileio_eoln_safe.o \
	fileio_flush_safe.o \
	fileio_gets_safe.o \
	fileio_newln_safe.o \
	fileio_open_safe.o \
	fileio_opennew_safe.o \
	fileio_position_safe.o \
	fileio_read_safe.o \
	fileio_readln_safe.o \
	fileio_seek_safe.o \
	fileio_truncate_safe.o \
	fileio_write_safe.o \

	ar rc /usr/hla/hlalibsrc/trunk/hlalib_safe.a \
		fileio_close_safe.o \
		fileio_eof_safe.o \
		fileio_eoln_safe.o \
		fileio_flush_safe.o \
		fileio_gets_safe.o \
		fileio_newln_safe.o \
		fileio_open_safe.o \
		fileio_opennew_safe.o \
		fileio_position_safe.o \
		fileio_read_safe.o \
		fileio_readln_safe.o \
		fileio_seek_safe.o \
		fileio_truncate_safe.o \
		fileio_write_safe.o \

	ar s /usr/hla/hlalibsrc/trunk/hlalib_safe.a

fileio_close_safe.o: fileio_close.hla \

	cp fileio_close.hla fileio_close_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  fileio_close_safe
	rm fileio_close_safe.hla

fileio_eof_safe.o: fileio_eof.hla \

	cp fileio_eof.hla fileio_eof_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  fileio_eof_safe
	rm fileio_eof_safe.hla

fileio_eoln_safe.o: fileio_eoln.hla \

	cp fileio_eoln.hla fileio_eoln_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  fileio_eoln_safe
	rm fileio_eoln_safe.hla

fileio_flush_safe.o: fileio_flush.hla \

	cp fileio_flush.hla fileio_flush_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  fileio_flush_safe
	rm fileio_flush_safe.hla

fileio_gets_safe.o: fileio_gets.hla \

	cp fileio_gets.hla fileio_gets_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  fileio_gets_safe
	rm fileio_gets_safe.hla

fileio_newln_safe.o: fileio_newln.hla \

	cp fileio_newln.hla fileio_newln_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  fileio_newln_safe
	rm fileio_newln_safe.hla

fileio_open_safe.o: fileio_open.hla \

	cp fileio_open.hla fileio_open_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  fileio_open_safe
	rm fileio_open_safe.hla

fileio_opennew_safe.o: fileio_opennew.hla \

	cp fileio_opennew.hla fileio_opennew_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  fileio_opennew_safe
	rm fileio_opennew_safe.hla

fileio_position_safe.o: fileio_position.hla \

	cp fileio_position.hla fileio_position_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  fileio_position_safe
	rm fileio_position_safe.hla

fileio_read_safe.o: fileio_read.hla \

	cp fileio_read.hla fileio_read_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  fileio_read_safe
	rm fileio_read_safe.hla

fileio_readln_safe.o: fileio_readln.hla \

	cp fileio_readln.hla fileio_readln_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  fileio_readln_safe
	rm fileio_readln_safe.hla

fileio_seek_safe.o: fileio_seek.hla \

	cp fileio_seek.hla fileio_seek_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  fileio_seek_safe
	rm fileio_seek_safe.hla

fileio_truncate_safe.o: fileio_truncate.hla \

	cp fileio_truncate.hla fileio_truncate_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  fileio_truncate_safe
	rm fileio_truncate_safe.hla

fileio_write_safe.o: fileio_write.hla \

	cp fileio_write.hla fileio_write_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  fileio_write_safe
	rm fileio_write_safe.hla



clean:
	delete temp
	delete .inc
	delete .o
	delete .obj
	delete .link
	delete .exe
	delete .asm
	delete .pdb
	delete .ilk
	delete .a
	delete .lib

