/usr/hla/hlalibsrc/trunk/random_safe.a: \
	rand_deal_safe.o \
	rand_random_safe.o \
	rand_range_safe.o \
	rand_uniform_safe.o \
	rand_urange_safe.o \

	ar rc /usr/hla/hlalibsrc/trunk/hlalib_safe.a \
		rand_deal_safe.o \
		rand_random_safe.o \
		rand_range_safe.o \
		rand_uniform_safe.o \
		rand_urange_safe.o \

	ar s /usr/hla/hlalibsrc/trunk/hlalib_safe.a

rand_deal_safe.o: rand_deal.hla \

	cp rand_deal.hla rand_deal_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  rand_deal_safe
	rm rand_deal_safe.hla

rand_random_safe.o: rand_random.hla \

	cp rand_random.hla rand_random_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  rand_random_safe
	rm rand_random_safe.hla

rand_range_safe.o: rand_range.hla \

	cp rand_range.hla rand_range_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  rand_range_safe
	rm rand_range_safe.hla

rand_uniform_safe.o: rand_uniform.hla \

	cp rand_uniform.hla rand_uniform_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  rand_uniform_safe
	rm rand_uniform_safe.hla

rand_urange_safe.o: rand_urange.hla \

	cp rand_urange.hla rand_urange_safe.hla
	hla -sourcemode -ag -thread -AL -cx -p:temp  rand_urange_safe
	rm rand_urange_safe.hla



clean:
	delete temp
	delete .inc
	delete .o
	delete .obj
	delete .link
	delete .exe
	delete .asm
	delete .pdb
	delete .ilk
	delete .a
	delete .lib

